Exceptions
==========

.. contents:: :local:

CloudBridgeBaseException
------------------------
.. autoclass:: cloudbridge.interfaces.exceptions.CloudBridgeBaseException
    :members:

WaitStateException
------------------
.. autoclass:: cloudbridge.interfaces.exceptions.WaitStateException
    :members:

InvalidConfigurationException
-----------------------------
.. autoclass:: cloudbridge.interfaces.exceptions.InvalidConfigurationException
    :members:

ProviderConnectionException
-----------------------------
.. autoclass:: cloudbridge.interfaces.exceptions.ProviderConnectionException
    :members:

InvalidLabelException
-----------------------------
.. autoclass:: cloudbridge.interfaces.exceptions.InvalidLabelException
    :members:

InvalidValueException
-----------------------------
.. autoclass:: cloudbridge.interfaces.exceptions.InvalidValueException
    :members:
